<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1WorkQueue.html">WorkQueue</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Request</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::WorkQueue::Request Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a2c9eb47c5193369a6c273455453d3a3c">abortRequest</a>() const </td><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a9edf6b9791e2b39df101a288e1289bb6">getAborted</a>() const </td><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#aab05288e180b61054443991cb8c2fd68">getChannel</a>() const </td><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a97cba781f6894fabd2c23dfd12f344ba">getData</a>() const </td><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a2787c787efe6db76de47fa52e53ec4ec">getID</a>() const </td><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a17eba593da5a1051976053e3599ec7c9">getRetryCount</a>() const </td><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a69a54c0507b6686e3c48a21283477ac0">getType</a>() const </td><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#ab71d4e2b421f8f1920a7e4ca4f43ee73">mAborted</a></td><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#acb3929d1fa36c620de9db9b5de660937">mChannel</a></td><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#ad8d1f9709048464bd8445d5466c7451f">mData</a></td><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a5d54982d3c93db2df770394469f776c4">mID</a></td><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#ad3731e8a478ae2f522288c0366513352">mRetryCount</a></td><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#a590a4da4cee5711be64e525e0564cf72">mType</a></td><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#af4747a039d3166c38a0f0646f87d10f4">Request</a>(uint16 channel, uint16 rtype, const Any &amp;rData, uint8 retry, RequestID rid)</td><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#afc5a5e65333384e477426c2f77353b28">WorkQueue</a> class</td><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html#abc6f573b83b9828f994bca37720bfa1d">~Request</a>()</td><td><a class="el" href="classOgre_1_1WorkQueue_1_1Request.html">Ogre::WorkQueue::Request</a></td><td></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:10
</p>
</body>
</html>
